# url.hpp File Reference

`#include <string>`
`#include <iosfwd>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/session.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Classes
class | saga::url
| SAGA's implementation of an RFC 1630 compliant URL Class. More...
## Defines
#define | SAGA_SAGA_URL_HPP
## Functions
std::ostream & | saga::operator<< (std::ostream &os, url const &u)
| Brief description starts here.
std::istream & | saga::operator>> (std::istream &is, url &u)
| Brief description starts here.
bool | saga::operator== (saga::url const &lhs, saga::url const &rhs)
| Brief description starts here.
bool | saga::operator< (saga::url const &lhs, saga::url const &rhs)
| Brief description starts here.

## Define Documentation

#define SAGA_SAGA_URL_HPP